package com.example.pmulabs.viewModels

import androidx.lifecycle.ViewModel
import com.example.pmulabs.room.models.Tag
import com.example.pmulabs.room.repository.TagRepository

class TagItemViewModel(
    private val tagRepository: TagRepository
) : ViewModel() {
    suspend fun updateTag(tag: Tag) {
        tagRepository.updateTag(tag)
    }

    suspend fun deleteTag(tag: Tag) {
        tagRepository.deleteTag(tag)
    }
}